const app = getApp()
import {
	Base
} from '../../../utils/base.js';
const base = new Base()
Page({
	data: {
		telphone: ''
	},
	onLoad: function (options) {

	},
	getPhoneNumber: function (e) {
		if (e.detail.errMsg == 'getPhoneNumber:ok') {
			let params = {
				data: {
					url: 'user/switchPhone',
					encryptedData: e.detail.encryptedData,
					iv: e.detail.iv
				},
				type: "POST",
				callback: (data) => {
					base.toast('授权成功')
					app.globalData.userTel = data.phoneNumber
					wx.setStorageSync('userTel', data.phoneNumber)
					if (app.globalData.backurl) {
						if (app.globalData.backurl.indexOf('/pages/tabbar') != -1) {
							wx.switchTab({
								url: app.globalData.backurl,
							})
						} else {
							wx.redirectTo({
								url: app.globalData.backurl
							})
						}
					} else {
						wx.switchTab({
							url: '/pages/personal/personal',
						})
					}
				},
			}
			base.newRequest(params)
		} else {
			base.toast('授权失败，无法查看')
		}
	}
})